GDAL-VSI(1)

NAME
gdal-vsi - Entry point for GDAL Virtual System Interface (VSI) commands

Added in version 3.11.

The subcommands of gdal vsi allow manipulation of files located on the GDAL Virtual File Systems (compressed, network hosted, etc...): /vsimem, /vsizip, /vsitar, /vsicurl, ....

SYNOPSIS

    Usage: gdal vsi <SUBCOMMAND> [OPTIONS]
    where <SUBCOMMAND> is one of:
      - copy:   Copy files located on GDAL Virtual System Interface (VSI). (alias: cp)
      - delete: Delete files located on GDAL Virtual System Interface (VSI). (alias: rm, rmdir, del)
      - list:   List files of one of the GDAL Virtual System Interface (VSI). (alias: ls)
      - move:   Move/rename a file/directory located on GDAL Virtual System Interface (VSI). (alias: mv, ren, rename)
      - sozip:  Seek-optimized ZIP (SOZIP) commands.
      - sync:   Synchronize source and target file/directory located on GDAL Virtual System Interface (VSI).
    Common Options:
      -h, --help              Display help message and exit
      --json-usage            Display usage as JSON document and exit
      --config <KEY>=<VALUE>  Configuration option [may be repeated]

AVAILABLE SUB-COMMANDS

•   gdal vsi copy

•   gdal vsi delete

•   gdal vsi list

•   gdal vsi move

•   gdal vsi sync

•   gdal vsi sozip

EXAMPLES

  Example 1: Listing recursively files in /vsis3/bucket with details

    $ gdal vsi list -lR /vsis3/bucket

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2026